seccomp_version(3)

NAME
seccomp_version - Query the libseccomp version information

SYNOPSIS
#include <seccomp.h>

struct scmp_version {
unsigned int major;
unsigned int minor;
unsigned int micro;
}

const struct scmp_version *seccomp_version(void);

Link with -lseccomp.

DESCRIPTION

The seccomp_version() and seccomp_reset() functions return a pointer to a scmp_version struct which contains the version information of the currently loaded libseccomp library. This function can be used by applications that need to verify that they are linked to a specific libseccomp version at runtime.

The caller should not attempt to free the returned scmp_version struct when finished.

RETURN VALUE
The seccomp_version() function returns a pointer to a scmp_version structure on success, NULL on failure. The caller should not attempt to free the returned structure.

EXAMPLES
#include <seccomp.h>
int main(int argc, char *argv[])
{
	const struct scmp_version *ver;
	ver = seccomp_version();
	if (ver == NULL)
		goto err;
	/* ... */
	return 0;
err:
	return -1;
}

NOTES

While the seccomp filter can be generated independent of the kernel, kernel support is required to load and enforce the seccomp filter generated by libseccomp.

The libseccomp project site, with more information and the source code repository, can be found at https://github.com/seccomp/libseccomp. This tool, as well as the libseccomp library, is currently under development, please report any bugs at the project site or directly to the author.

AUTHOR
Paul Moore <paul@paul-moore.com>